Name:		fio
Version:	3.24
Release:	%mkrel 2
Summary:	A flexible I/O tester/benchmarker
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://github.com/axboe/fio
Source0:	http://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
Patch1:		fio-version.patch
BuildRequires:	libaio-devel
BuildRequires:	zlib-devel
BuildRequires:	python3-devel

%description
fio is an I/O tool meant to be used both for benchmark and
stress/hardware verification.
It has support for 9 different types of I/O engines
(sync, mmap, libaio, posixaio, SG v3, splice, null, network, syslet),
I/O priorities (for newer Linux kernels), rate I/O, forked or
threaded jobs, and much more. It can work on block devices as well
as files. fio accepts job descriptions in a simple-to-understand
text format. Several example job files are included. fio displays
all sorts of I/O performance information.
It supports Linux, FreeBSD, and OpenSolaris.

%prep
%autosetup -p1

pathfix.py -i %{__python3} -pn \
 tools/fio_jsonplus_clat2csv \
 tools/fiologparser.py \
 tools/hist/*.py \
 tools/plot/fio2gnuplot \
 t/steadystate_tests.py

%build
%set_build_flags
%make_build

%install
%make_install prefix=%{_prefix} mandir=%{_mandir}

%files
%doc HOWTO README COPYING REPORTING-BUGS
%doc examples
%{_bindir}/fio
%{_bindir}/fio_generate_plots
%{_bindir}/fio_jsonplus_clat2csv
%{_bindir}/fio-btrace2fio
%{_bindir}/fio-dedupe
%{_bindir}/fio-genzipf
%{_bindir}/fio-histo-log-pctiles.py
%{_bindir}/fio-verify-state
%{_bindir}/fio2gnuplot
%{_bindir}/fiologparser.py
%{_bindir}/fiologparser_hist.py
%{_bindir}/genfio
%dir %{_datadir}/fio
%{_datadir}/fio/graph2D.gpm
%{_datadir}/fio/graph3D.gpm
%{_datadir}/fio/math.gpm
%{_mandir}/man1/*


%changelog
* Sun Nov 29 2020 wally <wally> 3.24-2.mga8
+ Revision: 1650171
- fix 'fio --version' output (mga#27682)

* Thu Nov 19 2020 daviddavid <daviddavid> 3.24-1.mga8
+ Revision: 1647606
- new version: 3.24

* Sun Sep 13 2020 ghibo <ghibo> 3.23-1.mga8
+ Revision: 1625580
- Update to release 3.23

* Thu May 28 2020 daviddavid <daviddavid> 3.20-1.mga8
+ Revision: 1588331
- new version: 3.20

* Fri Mar 13 2020 daviddavid <daviddavid> 3.19-1.mga8
+ Revision: 1556034
- new version: 3.19

* Thu Feb 20 2020 umeabot <umeabot> 3.18-3.mga8
+ Revision: 1547013
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 pterjan <pterjan> 3.18-2.mga8
+ Revision: 1487490
- Add upstream patch to fix build on armv7hl

* Thu Feb 06 2020 daviddavid <daviddavid> 3.18-1.mga8
+ Revision: 1487374
- new version: 3.18
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Dec 17 2019 daviddavid <daviddavid> 3.17-1.mga8
+ Revision: 1468498
- new version: 3.17
- make all scripts explicitly call python3

* Wed Sep 25 2019 daviddavid <daviddavid> 3.16-1.mga8
+ Revision: 1445747
- new version: 3.16

* Fri Jul 12 2019 daviddavid <daviddavid> 3.15-1.mga8
+ Revision: 1420820
- new version: 3.15

* Sun Jun 30 2019 daviddavid <daviddavid> 3.14-1.mga8
+ Revision: 1416497
- new version: 3.14

* Sat Feb 09 2019 daviddavid <daviddavid> 3.13-1.mga7
+ Revision: 1364409
- new version: 3.13

* Sat Nov 03 2018 daviddavid <daviddavid> 3.12-1.mga7
+ Revision: 1327833
- new version: 3.12

* Thu Oct 04 2018 daviddavid <daviddavid> 3.11-1.mga7
+ Revision: 1317303
- new version: 3.11

* Wed Sep 12 2018 daviddavid <daviddavid> 3.10-1.mga7
+ Revision: 1258491
- new version: 3.10

* Fri Sep 07 2018 daviddavid <daviddavid> 3.9-1.mga7
+ Revision: 1257639
- new version: 3.9

* Wed Aug 15 2018 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1251706
- new version: 3.8

* Thu Jun 14 2018 daviddavid <daviddavid> 3.7-1.mga7
+ Revision: 1236824
- new version: 3.7

* Sat May 19 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1230447
- new version: 3.6

* Tue Feb 27 2018 daviddavid <daviddavid> 3.5-1.mga7
+ Revision: 1205423
- new version: 3.5

* Sun Jan 07 2018 daviddavid <daviddavid> 3.3-1.mga7
+ Revision: 1191147
- new version: 3.3

* Tue Aug 15 2017 daviddavid <daviddavid> 2.99-1.mga7
+ Revision: 1140707
- new version: 2.99
- update URL
- make sure we use our optflags and ldflags on build

* Sun Feb 05 2017 daviddavid <daviddavid> 2.17-1.mga6
+ Revision: 1084874
- new version: 2.17
- fix ownership of data dir
- fix license

* Tue Oct 04 2016 ghibo <ghibo> 2.14-1.mga6
+ Revision: 1058305
- Update to version 2.14

* Mon Feb 08 2016 umeabot <umeabot> 2.05-6.mga6
+ Revision: 942938
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.05-5.mga5
+ Revision: 747883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.05-4.mga5
+ Revision: 679199
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.05-3.mga4
+ Revision: 504436
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.05-2.mga3
+ Revision: 350366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 dams <dams> 2.05-1.mga2
+ Revision: 217503
- new version 2.0.5
- clean spec file

* Wed Jan 19 2011 erwan <erwan> 1.41-1.mga1
+ Revision: 24646
- imported package fio


* Wed Jan 19 2011 Erwan Velu <erwanaliasr1@gmail.com> 1.41-1mga1
- update to new vesion 1.41

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.37-2mdv2011.0
+ Revision: 610425
- rebuild

* Tue Feb 23 2010 Frederik Himpe <fhimpe@mandriva.org> 1.37-1mdv2010.1
+ Revision: 510322
- update to new version 1.37

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.34-1mdv2010.0
+ Revision: 443188
- update to new version 1.34

* Wed Aug 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1.32-1mdv2010.0
+ Revision: 421528
- Update to new version 1.32

* Fri Jul 10 2009 Erwan Velu <erwan@mandriva.org> 1.31-1mdv2010.0
+ Revision: 394220
- 1.31

* Wed Nov 19 2008 Erwan Velu <erwan@mandriva.org> 1.23-1mdv2009.1
+ Revision: 304416
- 1.23

* Mon Nov 17 2008 Erwan Velu <erwan@mandriva.org> 1.22-1mdv2009.1
+ Revision: 303953
- 1.22

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.21-2mdv2009.0
+ Revision: 266801
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 09 2008 Erwan Velu <erwan@mandriva.org> 1.21-1mdv2009.0
+ Revision: 217057
- 1.21

* Tue Feb 19 2008 Erwan Velu <erwan@mandriva.org> 1.18.1-1mdv2008.1
+ Revision: 173000
- 1.18.1

* Wed Feb 06 2008 Erwan Velu <erwan@mandriva.org> 1.18-1mdv2008.1
+ Revision: 162988
- 1.18

* Fri Feb 01 2008 Erwan Velu <erwan@mandriva.org> 1.17.3-1mdv2008.1
+ Revision: 161046
- 1.17.3
- 1.17.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Erwan Velu <erwan@mandriva.org> 1.17-1mdv2008.0
+ Revision: 66821
- 1.17

* Fri Jul 20 2007 Erwan Velu <erwan@mandriva.org> 1.16.8-3mdv2008.0
+ Revision: 53818
- Adding source file removed by mdvsys update
- Adding source
- Adding source file
- Rebuild
- Oups, I forgot some examples

* Thu Jul 19 2007 Erwan Velu <erwan@mandriva.org> 1.16.8-1mdv2008.0
+ Revision: 53628
- Fixing wrong %%doc
- Releases goes fast theses days ;)
- Adding missing documentation

* Thu Jul 19 2007 Erwan Velu <erwan@mandriva.org> 1.16.6-1mdv2008.0
+ Revision: 53480
- 1.16.6

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 1.16-1mdv2008.0
+ Revision: 22508
- Import fio

